<?php

namespace Slovocast\Infrastructure\User;

/**
 * A simple interface for securing and checking secured passwords for a user
 */
interface UserAuthorizationInterface 
{
    public function hash(string $password): string;
    public function verify(string $password, string $hash): bool;
}
